# <DBM Mod> Raids (Cata)

## [r232](https://github.com/DeadlyBossMods/DBM-Cataclysm/tree/r232) (2024-01-05)
[Full Changelog](https://github.com/DeadlyBossMods/DBM-Cataclysm/compare/r231...r232) [Previous Releases](https://github.com/DeadlyBossMods/DBM-Cataclysm/releases)

- replace all uses of NewCombatTimer with NewRPTimer  
- Made cataclysm world bosses it's own module, following conventions of all other world boss modules  
- missed one variable change  
- Cho'gal Update  
     - Worship special warning eliminated (redundant) and normal target warning is now unfiltered and has voice pack support  
     - Corrupting Crash target warning now on by default since it is a filtered alert  
     - Sickness personal alert is now on by default for all roles instead of just melee  
     - Fury target special alert disabled for now until I decide what to do with it  
     - Flames of destruction special announce is now using smarter modern tech for determining who is current tank to ensure it alerts appropriate one. It also more clear it's a defensive warning  
     - Sickness timer now flagged with personal role timer color by default  
     - Icon, Range, and Infoframe options now use modern objects which support global disables and Group by Spell modern features.  
     - All important variables are now syncable which means they are recoverable on mid fight disconnect/reload  
     - All special warnings now support voice packs  
     - Removed Arrow option since it hasn't been possible since Legion  
     - Mod now uses stage callback api so weak auras/other addons can recieve stage change info from DBM  
     - Infoframe now starts tracking player corruption at 1 instead of 10  
     - Fixed auto marking of stage 2 creatures to actually be functional  
     - Changed icons used by Worship auto marking to use standard modern conventions of 1 ascending up instead of 8 descending down (only mob marking should ever start with skull by modern standards)  
     - Updated boss scanning apis to modern ones, which are more accurate.  
     - Mod updated to use modern pre spellid Filtering on CLEu events so args table is only built on events mod is interested in (more efficient)  
- Sinestra Update  
     - Modernized code and efficiency quite a bit  
     - Added voice pack support  
     - Improved WA support with spell keys on custom alerts  
     - Updated icon object to only use 1 and 2 for orbs and not the rest. Will also reflect this in GUI now.  
     - Improved some variables to be syncable/recoverable now on DC/mid combat reload  
     - Improved orb scanning code to now filter whelps, to further reduce false positives  
     - Added some more default timer bar color assignments  
     - Icon and infoframe options now honor global disables  
- Ascendant Council Update  
     - Fixed a bug where some interrupt warnings didn't say which target  
     - Updated more timers to use color by type  
     - Added voice back support to most special announcements  
     - Massively improved GUI layout to categorize abilities by specific boss  
     - Improved mod efficiency  
     - Made some varaibles syncable/recoverable on disconnect or midfight reload  
     - Icon, range, and infoframe options now honor global disables  
     - Icon options now show which icons are used  
     - Some icon options had icons changed to better modernize to current standards  
     - Fixed a bug where players outside the raid (but in group) would get warnings for low health bosses  
     - Modern stage apis are used so WAs can identify which stage of fight you're in via modern public callbacks  
     - Interrupt alerts will now default using "Has Interrupt" instead of generic "is melee" or "everyone" checks.  
     - Several target warnings updated to "non filtered" objects so they show even if modern "filter target announcements" is enabled. This follows usual rule of only being applied to alerts that are actually important for everyone to know or lack a special announcement option.  
- Fix occuthar, it needs to use ALL spell events for win detection  
- missed tabling one varaible  
- Updated baradin hold with modern standards  
     - Events now only registerted in combat and args tables only built on used spellids  
     - Voice pack support added  
     - Icon object changed to modern one  
     - Redundant alerts culled  
     - Variables are now recoverable via syncs  
     - Tank alerts are smarter  
